cmd: "make"
args:
  - "-C"
  - "{PROJECT_PATH}/build" 
sh: false
name: "Build All"
errorMatch:
 - "(?<file>([A-Za-z]:[\\/])?[^:\\n]+):(?<line>\\d+):(?<col>\\d+):\\s*(fatal error|error):\\s*(?<message>.+)"
#        - (?<file>[^:\\n]+):(?<line>\\d+):(?<col>\\d+):[\\s\\S]+?Error: (?<message>.+)
warningMatch:
 - (?<file>([A-Za-z]:[\\/])?[^:\\n]+):(?<line>\\d+):(?<col>\\d+):\\s*(warning):\\s*(?<message>.+)

targets:
  generate_build:
    cmd: "bash build.sh" 
    args:
          - --purge
          - --c_compiler=/usr/bin/gcc
          - --cxx_compiler=/usr/bin/g++
    name: "Setup ARES build"

  generate_build_mpi:
    cmd: "bash build.sh"
    name: "Setup ARES build with MPI"
    args:
        - --purge
        - --with-mpi
        - --c_compiler
        - /usr/bin/gcc
        - --cxx_compiler 
        - /usr/bin/g++
